# -*- encoding: utf-8 -*-

from setuptools import setup, find_packages

dev_requires = [
    "black",
    "flake8",
    "flake8-black",
    "mypy",
    "pytest",
]

setup(
    # Name of the package:
    name="pyltk",
    # Version of the package:
    version="0.0.1",
    # Find the package automatically (include everything):
    packages=find_packages(),
    # Author information:
    author="Mikaël Capelle",
    author_email="capelle.mikael@gmail.com",
    # Description of the package:
    description="Python library to generate and build LaTeX files",
    include_package_data=True,
    classifiers=[
        "Programming Language :: Python",
        "Programming Language :: Python :: 3",
        "Programming Language :: Python :: 3.6",
        "Programming Language :: Python :: 3.7",
    ],
    # License:
    license="MIT",
    # Requirements:
    install_requires=[],
    extras_require={"dev": dev_requires},
)
